Subject: Re: What's cooking in git.git (Jan 2018, #02; Tue, 9)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 10 Jan 2018 08:56:00 +0100

On Tue, Jan 09 2018, Junio C. Hamano jotted:

> * ab/wildmatch-tests (2018-01-04) 7 commits
>   (merged to 'next' on 2018-01-09 at 09f0b84098)
>  + wildmatch test: create & test files on disk in addition to in-memory
>  + wildmatch test: perform all tests under all wildmatch() modes
>  + wildmatch test: remove dead fnmatch() test code
>  + wildmatch test: use a paranoia pattern from nul_match()
>  + wildmatch test: don't try to vertically align our output
>  + wildmatch test: use more standard shell style
>  + wildmatch test: indent with tabs, not spaces
>
>  More tests for wildmatch functions.
>
>  Will cook in 'next'.

Please don't merge it down for now. I've got a WIP resubmission of this
which rewrites most of the later part of the series & addresses various
issues raised.

> * ab/perf-grep-threads (2018-01-04) 1 commit
>   (merged to 'next' on 2018-01-09 at 8fe1d71894)
>  + perf: amend the grep tests to test grep.threads
>
>  More perf tests for threaded grep
>
>  Will cook in 'next'.

Re: the concern raised in [email-masked] I
think it makes sense to just document (and I can do that if you agree)
that:

    test_expect_success SOME_PREREQ,$SOME_OTHER_PREREQ,$ANOTHER_ONE [...]

Will work as far as prereqs goes even though the variables might be
empty. It's much less verbose than the proposed alternative, and easy to
support.

>  Will [cook in|merge to] 'next'.

Refresh my memory, that means merge down post-2.16.0 at this point,
right?